MCP Tools Reference: cloudbilling.googleapis.com

Tool: list_sku_groups

Lists all publicly listed SKU groups.

The following code sample shows how to use curl to call the list_sku_groups MCP tool.

Curl Request
curl --location 'https://cloudbilling.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_sku_groups",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for ListSkuGroups.

ListSkuGroupsRequest

JSON representation
{
  "pageSize": integer,
  "pageToken": string
}
Fields
pageSize

integer

Maximum number of SKU groups to return. Results may return fewer than this value. Default value is 50 and maximum value is 5000.

pageToken

string

Page token received from a previous ListSkuGroups call to retrieve the next page of results. If this field is empty, the first page is returned.

Output Schema

Response message for ListSkuGroups.

ListSkuGroupsResponse

JSON representation
{
  "skuGroups": [
    {
      object (SkuGroup)
    }
  ],
  "nextPageToken": string
}
Fields
skuGroups[]

object (SkuGroup)

The returned publicly listed SKU groups.

nextPageToken

string

Token that can be sent as page_token in the subsequent request to retrieve the next page. If this field is empty, there are no subsequent pages.

SkuGroup

JSON representation
{
  "name": string,
  "displayName": string
}
Fields
name

string

Resource name for the SKU group. Example: "skuGroups/0e6403d1-4694-44d2-a696-7a78b1a69301".

displayName

string

Description of the SKU group. Example: "A2 VMs (1 Year CUD)".

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌